<?xml version="1.0" encoding="utf-8"?>
<databaseChangeLog
    xmlns="http://www.liquibase.org/xml/ns/dbchangelog"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.liquibase.org/xml/ns/dbchangelog http://www.liquibase.org/xml/ns/dbchangelog/dbchangelog-3.5.xsd">
    <!--
        Added the constraints for entity BaseCalendar.
    -->
    <changeSet id="20170101000000-2" author="jhipster">
        
        <addForeignKeyConstraint baseColumnNames="idcaltyp"
                                 baseTableName="base_calendar"
                                 constraintName="fk_base_calendar_calendar_type_id"
                                 referencedColumnNames="idcaltyp"
                                 referencedTableName="calendar_type"/>

        <addForeignKeyConstraint baseColumnNames="idparent"
                                 baseTableName="base_calendar"
                                 constraintName="fk_base_calendar_parent_id"
                                 referencedColumnNames="idcalendar"
                                 referencedTableName="standard_calendar"/>

    </changeSet>
</databaseChangeLog>
